A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.
Server Setup
You must enable MCP servers and set up authentication before use. For more information about using Google and Google Cloud remote MCP servers, see Google Cloud MCP servers overview.
Server Endpoints
An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.
The design.googleapis.com MCP server has the following MCP endpoint:
- https://design.googleapis.com/mcp
MCP Tools
An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.
The design.googleapis.com MCP server has the following tools:
| MCP Tools | |
|---|---|
| generate_brand_color_scheme | Generates a brand color scheme from a list of brand colors. The input is several named colors in hex format (e.g., {"neutralKey": "#FF0000", "primaryKey": "#00FF00", "secondaryKey": "#68748B", "tertiaryKey": "#588493"]), and the output is a unified color scheme with colors in hex format (e.g., {"primary": "#041E49", "secondary": "#68748B"}). |
| extract_brand_colors_from_image | Extracts the background and accent colors from an image. Use this to create a color palette that matches a given image. The input is an image encoded as base64, and the output is a list of brand colors in hex format (e.g., [#041E49, #68748B, #E1E2E8]). |
| extract_and_generate_brand_color_scheme | Extracts the background and accent colors from an image, and generates a brand color scheme from them. The input is an image encoded as base64, and the output is a unified color scheme with colors in hex format (e.g., {"primary": "#041E49", "secondary": "#68748B"}). |
| search_icons | Finds appropriate Material Design icons matching keywords that describe their usage, style, or shape. |
| icons_instructions | Provides essential and critical instructions on how to use Material Icons and Material Symbols efficiently on Web. |
| search_fonts | Finds appropriate fonts matching categories and/or languages. |
| describe_font | Describes a font family in detail, including its look and feel, supported styles, weights and how to use it. |
Get MCP tool specifications
To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.
| Curl Request |
|---|
curl --location 'https://design.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/list", "jsonrpc": "2.0", "id": 1 }' |